bitel.billing.server.admin.integration.bean

## Class RegisterLoadPatternManager

- java.lang.Object
- - bitel.billing.server.admin.integration.bean.RegisterLoadPatternManager

-     public class RegisterLoadPatternManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterLoadPatternManager(Setup setup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegisterLoadPattern` | `getLoadPatternById(int id, int registerType)`
    `RegisterLoadPattern` | `getLoadPatternByID(int id, int registerType)` Deprecated.
    `java.util.Map<java.lang.Integer,RegisterLoadPattern>` | `getLoadPatternMap()`
    `java.util.List<RegisterLoadPattern>` | `getLoadPatterns(int regType)` Загрузка шаблона загрузки реестров платежей и расходов из конфига.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterLoadPatternManager

          public RegisterLoadPatternManager(Setup setup)

  - ### Method Detail

    - #### getLoadPatterns

          public java.util.List<RegisterLoadPattern> getLoadPatterns(int regType)

      Загрузка шаблона загрузки реестров платежей и расходов из конфига.
      Returns:
        List

    - #### getLoadPatternMap

          public java.util.Map<java.lang.Integer,RegisterLoadPattern> getLoadPatternMap()

    - #### getLoadPatternById

          public RegisterLoadPattern getLoadPatternById(int id,
                                                        int registerType)

    - #### getLoadPatternByID

          @Deprecated
          public RegisterLoadPattern getLoadPatternByID(int id,
                                                                    int registerType)

      Deprecated.
      Использовать `getLoadPatternById(int, int)`.
      Parameters:
        `id` -
        `registerType` -
      Returns: